Name:           python-qpid
Version:        0.5.752600
Release:        1%{?dist}
Summary:        Python language client for AMQP

Group:          Development/Python
License:        ASL 2.0
URL:            http://qpid.apache.org
Source0:        %{name}-%{version}.tar.gz
# svn export -r<rev> http://svn.apache.org/repos/asf/qpid/trunk/qpid/python python-qpid-0.4.<rev>
# tar czf python-qpid-0.4.<rev>.tar.gz python-qpid-0.4.<rev>
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-devel

Requires:       python
Requires:       amqp >= 1.0.752600

%description
The Apache Qpid project's Python language client for AMQP.

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%prep
%setup -q
# to silence warnings:
sed -e 1d -e 2d -i setup.py
sed -e 1d -e 2d -i qpid/codec.py
sed -e 1d -e 2d -i qpid/reference.py
chmod 0644 LICENSE.txt
echo "\n" > cpp_failing_0-8.txt
echo 'amqp_spec = "%{_datadir}/amqp/amqp.0-10-qpid-errata.xml"' > qpid_config.py
find examples/ -type f -exec chmod -c 644 {} ';'

%build
#empty

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/mllib
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/doc
install -pm 0644 *.* qpid/* $RPM_BUILD_ROOT%{python_sitelib}/qpid
install -pm 0644 qpid_config.* $RPM_BUILD_ROOT%{python_sitelib}
install -d $RPM_BUILD_ROOT%{_bindir}
install -pm 0755 run-tests $RPM_BUILD_ROOT%{_bindir}/python-qpid-tests
install -pm 0755 commands/* $RPM_BUILD_ROOT%{_bindir}
install -pm 0644 mllib/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/mllib
install -pm 0644 doc/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/doc
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests
install -pm 0644 tests/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-8
install -pm 0644 tests_0-8/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-8
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-9
install -pm 0644 tests_0-9/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-9
install -d $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-10
install -pm 0644 tests_0-10/*.* $RPM_BUILD_ROOT%{python_sitelib}/qpid/tests_0-10
install -d $RPM_BUILD_ROOT%{python_sitelib}/qmf
install -pm 0644 qmf/* $RPM_BUILD_ROOT%{python_sitelib}/qmf

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%{python_sitelib}/qpid
%{python_sitelib}/qpid_config.*
%{python_sitelib}/qmf
%{_bindir}/python-qpid-tests
%{_bindir}/qpid-*
%doc LICENSE.txt NOTICE.txt README.txt doc/test-requirements.txt examples/



%changelog
* Thu Mar 19 2009 Nuno Santos <nsantos@redhat.com> - 0.5.752600-1
- Rebased to svn rev 752600

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.738618-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Nuno Santos <nsantos@redhat.com> - 0.4.738618-1
- Rebased to svn rev 738618

* Wed Jan 14 2009 Nuno Santos <nsantos@redhat.com> - 0.4.734452-1
- Rebased to svn rev 734452
- BZ 478467: include examples

* Thu Jan  8 2009 Nuno Santos <nsantos@redhat.com> - 0.4.728142-3
- BZ 479212: add qmf dirs

* Tue Dec 23 2008 Nuno Santos <nsantos@redhat.com> - 0.4.728142-1
- Rebased to svn rev 728142

* Thu Dec 04 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.722557-2
- Rebuild for Python 2.6

* Tue Dec  2 2008 Nuno Santos <nsantos@redhat.com> - 0.3.722557-1
- Rebased to svn rev 722557

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.720585-2
- Rebuild for Python 2.6

* Tue Nov 25 2008 Nuno Santos <nsantos@redhat.com> - 0.3.720585-1
- Rebased to svn rev 720585

* Tue Nov 18 2008 Nuno Santos <nsantos@redhat.com> - 0.3.718718-1
- Rebased to svn rev 718718

* Thu Oct 16 2008 Nuno Santos <nsantos@redhat.com> - 0.3.705289-1
- Rebased to svn rev 705289

* Thu Oct  2 2008 Nuno Santos <nsantos@redhat.com> - 0.3.700546-1
- Rebased to svn revision 700546

* Mon Sep  8 2008 Nuno Santos <nsantos@redhat.com> - 0.3.693140-1
- Update for Fedora 10

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.668378-2
- fix license tag

* Mon Jun 16 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.668378-1
- Source update for MRG RC1

* Mon Jun 16 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.668345-1
- Source update for MRG RC1

* Tue Jun 10 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.666398-12
- Source update for MRG RC1

* Mon Jun  9 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.665776-12
- Source update for MRG RC1

* Fri May 16 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.657115-12
- Imported new source tarball for MRG Beta 4

* Tue May 13 2008 Rafael Schloming <rafaels@redhat.com> - 0.2.656025-12
- Updated the amqp dependency

* Mon May 12 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-11
- Install the scripts from the commands directory, update the source
  tarball, and include the svn revision number in the version.

* Mon May 12 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-10
- Updated the source tarball for MRG Beta 4

* Mon Feb 11 2008  <rafaels@redhat.com> - 0.2-9
- bumped for Beta 3

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-8
- Move test script to /usr/bin

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-7
- Testrunner fixes

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.1-6
- Include generic tests

* Wed Jan 23 2008 Nuno Santos <nsantos@redhat.com> - 0.1-5
- Include tests for AMQP 0-10

* Mon Jan 21 2008 Gordon Sim <gsim@redhat.com> - 0.1-3
- Bumped revision

* Thu Mar 22 2007 Rafael Schloming <rafaels@redhat.com> - 0.1-1
- Initial build.
- Comply with Fedora packaging guidelines
